SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   MadBMS Vendors:   Madgenius.com
madBMS Authentication Flaw May Yield Access to Remote Users
SecurityTracker Alert ID:  1009617
SecurityTracker URL:  http://securitytracker.com/id/1009617
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Apr 1 2004
Impact:   User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.1.4 and prior versions
Description:   An authentication vulnerability was reported in the madBMS billing system. A remote user may be able to gain access to the application.

The vendor reported a vulnerability regarding user logins.

[Editor's note: From source code review, it appears that a flaw in 'index.php' may allow a remote user to supply a specially crafted username and password to be authenticated to the system without supplying valid authentication credentials.]

The vendor credits andy at diginode.net with reporting this flaw.

Impact:   A remote user may be able to gain access to the system.
Solution:   The vendor has released a fixed version (1.1.5), available at:

http://www.madgenius.com/madBMS/download/madBMS-1.1.5.tar.gz

Vendor URL:  madgenius.com/madBMS/ (Links to External Site)
Cause:   Authentication error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  http://test.madgenius.com/madBMS/ChangeLog


http://test.madgenius.com/madBMS/ChangeLog

 > Release 1.1.5

 >     o Fixed security problem with logins.
 >       Thanks to andy@diginode.net.

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC